Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.sql
Class OracleSqlManager

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.sql.JdbcSqlManager
          com.beasys.commerce.ebusiness.catalog.sql.OracleSqlManager

All Implemented Interfaces
  CatalogSqlManager

Deprecated

    @Deprecated
    public class OracleSqlManager

extends JdbcSqlManager

The `OracleSqlManager` class implements the `CatalogSqlManager` interface using Oracle compliant SQL.
This is an advanced (internal) class and may be subject to change.

Constructor Summary
`OracleSqlManager()` Deprecated

Method Summary
`ProductItemKey[]` | `getItemKeys(Connection connection, CatalogRequest request, CategoryKey categoryKey, int beginIndex, int endIndex)` Deprecated Returns an array of all product item keys of the specified category within the specified ordered range.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.sql.JdbcSqlManager
`addItem, createCategory, createItem, getAncestors, getCatalogSchemaManager, getCategories, getCategory, getCategoryCount, getCategoryKeys, getItem, getItemCategories, getItemCategories, getItemCount, getItemCount, getItemKeys, getItems, getJdbcCatalogFactory, getKeywords, getOrphanedItemCount, getOrphanedItemKeys, getParent, getRootCategory, getSiblingCount, getSiblingKeys, getSubCategoryCount, getSubCategoryKeys, initialize, moveCategory, removeCategory, removeItem, removeItem, setKeywords, updateCategory, updateItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleSqlManager

    public OracleSqlManager()

  Deprecated

Method Detail

### getItemKeys

    public ProductItemKey[] getItemKeys(Connection connection,
                                        CatalogRequest request,
                                        CategoryKey categoryKey,
                                        int beginIndex,
                                        int endIndex)
                                 throws CatalogException,
                                        SQLException

  Deprecated
  Returns an array of all product item keys of the specified category within the specified ordered range.

  Specified by:
    `getItemKeys` in interface `CatalogSqlManager`
  Overrides:
    `getItemKeys` in class `JdbcSqlManager`
  Parameters
    `connection` - The database connection object.
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns
    An array of all the product item keys.
  Throws
    `CatalogException` - on general error.
    `SQLException` - on database access error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.